Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class ObjectFactory

    java.lang.Object
      com.nortel.soa.oi.cct.types.ObjectFactory

    public class ObjectFactory

extends java.lang.Object

This object contains factory methods for each Java content interface and Java element interface generated in the com.nortel.soa.oi.cct.types package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.nortel.soa.oi.cct.types

Method Summary
`Address` | `createAddress()` Create an instance of `Address`
`AddressArray` | `createAddressArray()` Create an instance of `AddressArray`
`AddressCapabilities` | `createAddressCapabilities()` Create an instance of `AddressCapabilities`
`AddressPropertyAcquireStatus` | `createAddressPropertyAcquireStatus()` Create an instance of `AddressPropertyAcquireStatus`
`AddressPropertyAddressTerminalAssociation` | `createAddressPropertyAddressTerminalAssociation()` Create an instance of `AddressPropertyAddressTerminalAssociation`
`AddressPropertyDoNotDisturb` | `createAddressPropertyDoNotDisturb()` Create an instance of `AddressPropertyDoNotDisturb`
`AddressPropertyForwarding` | `createAddressPropertyForwarding()` Create an instance of `AddressPropertyForwarding`
`AddressPropertyForwardingArray` | `createAddressPropertyForwardingArray()` Create an instance of `AddressPropertyForwardingArray`
`AddressPropertyMessageWaiting` | `createAddressPropertyMessageWaiting()` Create an instance of `AddressPropertyMessageWaiting`
`AddressPropertyPresence` | `createAddressPropertyPresence()` Create an instance of `AddressPropertyPresence`
`AddressPropertyUri` | `createAddressPropertyUri()` Create an instance of `AddressPropertyUri`
`Agent` | `createAgent()` Create an instance of `Agent`
`AgentCapabilities` | `createAgentCapabilities()` Create an instance of `AgentCapabilities`
`AgentPropertyAddressName` | `createAgentPropertyAddressName()` Create an instance of `AgentPropertyAddressName`
`AgentPropertyContactType` | `createAgentPropertyContactType()` Create an instance of `AgentPropertyContactType`
`AgentPropertyContactTypeArray` | `createAgentPropertyContactTypeArray()` Create an instance of `AgentPropertyContactTypeArray`
`AgentPropertyInformation` | `createAgentPropertyInformation()` Create an instance of `AgentPropertyInformation`
`AgentPropertyLoginStatus` | `createAgentPropertyLoginStatus()` Create an instance of `AgentPropertyLoginStatus`
`AgentPropertyReadyStatus` | `createAgentPropertyReadyStatus()` Create an instance of `AgentPropertyReadyStatus`
`AgentPropertyVoiceTerminal` | `createAgentPropertyVoiceTerminal()` Create an instance of `AgentPropertyVoiceTerminal`
`AgentTerminalCapabilities` | `createAgentTerminalCapabilities()` Create an instance of `AgentTerminalCapabilities`
`AgentTerminalConnection` | `createAgentTerminalConnection()` Create an instance of `AgentTerminalConnection`
`AgentTerminalConnectionCapabilities` | `createAgentTerminalConnectionCapabilities()` Create an instance of `AgentTerminalConnectionCapabilities`
`AgentTerminalPropertyActivityCode` | `createAgentTerminalPropertyActivityCode()` Create an instance of `AgentTerminalPropertyActivityCode`
`AgentTerminalPropertyAgentLoginSession` | `createAgentTerminalPropertyAgentLoginSession()` Create an instance of `AgentTerminalPropertyAgentLoginSession`
`AgentTerminalPropertyAgentLoginSessionEnded` | `createAgentTerminalPropertyAgentLoginSessionEnded()` Create an instance of `AgentTerminalPropertyAgentLoginSessionEnded`
`AgentTerminalPropertyReadyStatus` | `createAgentTerminalPropertyReadyStatus()` Create an instance of `AgentTerminalPropertyReadyStatus`
`AgentTerminalPropertyValidateAgentStatus` | `createAgentTerminalPropertyValidateAgentStatus()` Create an instance of `AgentTerminalPropertyValidateAgentStatus`
`AttachedData` | `createAttachedData()` Create an instance of `AttachedData`
`AttachedXMLData` | `createAttachedXMLData()` Create an instance of `AttachedXMLData`
`Authentication` | `createAuthentication()` Create an instance of `Authentication`
`AuthenticationLevel` | `createAuthenticationLevel()` Create an instance of `AuthenticationLevel`
`ByteArray` | `createByteArray()` Create an instance of `ByteArray`
`Connection` | `createConnection()` Create an instance of `Connection`
`ConnectionCapabilities` | `createConnectionCapabilities()` Create an instance of `ConnectionCapabilities`
`ConnectionStateHolder` | `createConnectionStateHolder()` Create an instance of `ConnectionStateHolder`
`ConnectionStateInfo` | `createConnectionStateInfo()` Create an instance of `ConnectionStateInfo`
`Contact` | `createContact()` Create an instance of `Contact`
`ContactCapabilities` | `createContactCapabilities()` Create an instance of `ContactCapabilities`
`ContactGUID` | `createContactGUID()` Create an instance of `ContactGUID`
`ContactInfo` | `createContactInfo()` Create an instance of `ContactInfo`
`ContactPropertyAttachedData` | `createContactPropertyAttachedData()` Create an instance of `ContactPropertyAttachedData`
`ContactPropertyCalledAddress` | `createContactPropertyCalledAddress()` Create an instance of `ContactPropertyCalledAddress`
`ContactPropertyCalledAlias` | `createContactPropertyCalledAlias()` Create an instance of `ContactPropertyCalledAlias`
`ContactPropertyCallingAddress` | `createContactPropertyCallingAddress()` Create an instance of `ContactPropertyCallingAddress`
`ContactPropertyCallingTerminal` | `createContactPropertyCallingTerminal()` Create an instance of `ContactPropertyCallingTerminal`
`ContactPropertyCcmId` | `createContactPropertyCcmId()` Create an instance of `ContactPropertyCcmId`
`ContactPropertyContactTypeArray` | `createContactPropertyContactTypeArray()` Create an instance of `ContactPropertyContactTypeArray`
`ContactPropertyIntrinsicArray` | `createContactPropertyIntrinsicArray()` Create an instance of `ContactPropertyIntrinsicArray`
`ContactPropertyLastRedirectedAddress` | `createContactPropertyLastRedirectedAddress()` Create an instance of `ContactPropertyLastRedirectedAddress`
`ContactPropertyNetworkDialledAddress` | `createContactPropertyNetworkDialledAddress()` Create an instance of `ContactPropertyNetworkDialledAddress`
`ContactPropertyNodeId` | `createContactPropertyNodeId()` Create an instance of `ContactPropertyNodeId`
`ContactPropertyRoute` | `createContactPropertyRoute()` Create an instance of `ContactPropertyRoute`
`ContactPropertySourceSiteGroupId` | `createContactPropertySourceSiteGroupId()` Create an instance of `ContactPropertySourceSiteGroupId`
`ContactPropertySpExternalId` | `createContactPropertySpExternalId()` Create an instance of `ContactPropertySpExternalId`
`ContactPropertyTargetAgentPositionId` | `createContactPropertyTargetAgentPositionId()` Create an instance of `ContactPropertyTargetAgentPositionId`
`ContactPropertyUui` | `createContactPropertyUui()` Create an instance of `ContactPropertyUui`
`ContactType` | `createContactType()` Create an instance of `ContactType`
`ContactTypeArray` | `createContactTypeArray()` Create an instance of `ContactTypeArray`
`Forwarding` | `createForwarding()` Create an instance of `Forwarding`
`GetVersionRequest` | `createGetVersionRequest()` Create an instance of `GetVersionRequest`
`GetVersionResponse` | `createGetVersionResponse()` Create an instance of `GetVersionResponse`
`InstantMessage` | `createInstantMessage()` Create an instance of `InstantMessage`
`Intrinsic` | `createIntrinsic()` Create an instance of `Intrinsic`
`IntrinsicArray` | `createIntrinsicArray()` Create an instance of `IntrinsicArray`
`KeyValuePair` | `createKeyValuePair()` Create an instance of `KeyValuePair`
`KeyValuePairArray` | `createKeyValuePairArray()` Create an instance of `KeyValuePairArray`
`LandingPad` | `createLandingPad()` Create an instance of `LandingPad`
`MediaTreatment` | `createMediaTreatment()` Create an instance of `MediaTreatment`
`MessageWaiting` | `createMessageWaiting()` Create an instance of `MessageWaiting`
`Presence` | `createPresence()` Create an instance of `Presence`
`Provider` | `createProvider()` Create an instance of `Provider`
`RoutePointConnectionCapabilities` | `createRoutePointConnectionCapabilities()` Create an instance of `RoutePointConnectionCapabilities`
`SsoToken` | `createSsoToken()` Create an instance of `SsoToken`
`State` | `createState()` Create an instance of `State`
`StateInfo` | `createStateInfo()` Create an instance of `StateInfo`
`SystemEventConnectionFailure` | `createSystemEventConnectionFailure()` Create an instance of `SystemEventConnectionFailure`
`SystemEventSessionTermination` | `createSystemEventSessionTermination()` Create an instance of `SystemEventSessionTermination`
`SystemEventSessionTerminationImminent` | `createSystemEventSessionTerminationImminent()` Create an instance of `SystemEventSessionTerminationImminent`
`SystemEventSubscriptionTermination` | `createSystemEventSubscriptionTermination()` Create an instance of `SystemEventSubscriptionTermination`
`SystemEventSubscriptionTerminationImminent` | `createSystemEventSubscriptionTerminationImminent()` Create an instance of `SystemEventSubscriptionTerminationImminent`
`Terminal` | `createTerminal()` Create an instance of `Terminal`
`TerminalArray` | `createTerminalArray()` Create an instance of `TerminalArray`
`TerminalCapabilities` | `createTerminalCapabilities()` Create an instance of `TerminalCapabilities`
`TerminalConnection` | `createTerminalConnection()` Create an instance of `TerminalConnection`
`TerminalConnectionCapabilities` | `createTerminalConnectionCapabilities()` Create an instance of `TerminalConnectionCapabilities`
`TerminalConnectionStateHolder` | `createTerminalConnectionStateHolder()` Create an instance of `TerminalConnectionStateHolder`
`TerminalConnectionStateInfo` | `createTerminalConnectionStateInfo()` Create an instance of `TerminalConnectionStateInfo`
`TerminalPropertyContactType` | `createTerminalPropertyContactType()` Create an instance of `TerminalPropertyContactType`
`TerminalPropertyContactTypeArray` | `createTerminalPropertyContactTypeArray()` Create an instance of `TerminalPropertyContactTypeArray`
`TerminalPropertyDoNotDisturb` | `createTerminalPropertyDoNotDisturb()` Create an instance of `TerminalPropertyDoNotDisturb`
`TerminalPropertyForwarding` | `createTerminalPropertyForwarding()` Create an instance of `TerminalPropertyForwarding`
`TerminalPropertyForwardingArray` | `createTerminalPropertyForwardingArray()` Create an instance of `TerminalPropertyForwardingArray`
`TerminalPropertyName` | `createTerminalPropertyName()` Create an instance of `TerminalPropertyName`
`TerminalPropertyPort` | `createTerminalPropertyPort()` Create an instance of `TerminalPropertyPort`
`TerminalPropertyTransport` | `createTerminalPropertyTransport()` Create an instance of `TerminalPropertyTransport`
`TerminalPropertyTreatment` | `createTerminalPropertyTreatment()` Create an instance of `TerminalPropertyTreatment`
`TreatmentConnection` | `createTreatmentConnection()` Create an instance of `TreatmentConnection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.nortel.soa.oi.cct.types

Method Detail

### createContactPropertyNetworkDialledAddress

    public ContactPropertyNetworkDialledAddress createContactPropertyNetworkDialledAddress()

  Create an instance of `ContactPropertyNetworkDialledAddress`

### createContactPropertyLastRedirectedAddress

    public ContactPropertyLastRedirectedAddress createContactPropertyLastRedirectedAddress()

  Create an instance of `ContactPropertyLastRedirectedAddress`

### createTerminalConnectionStateInfo

    public TerminalConnectionStateInfo createTerminalConnectionStateInfo()

  Create an instance of `TerminalConnectionStateInfo`

### createAgentTerminalConnection

    public AgentTerminalConnection createAgentTerminalConnection()

  Create an instance of `AgentTerminalConnection`

### createByteArray

    public ByteArray createByteArray()

  Create an instance of `ByteArray`

### createGetVersionResponse

    public GetVersionResponse createGetVersionResponse()

  Create an instance of `GetVersionResponse`

### createTerminalPropertyContactTypeArray

    public TerminalPropertyContactTypeArray createTerminalPropertyContactTypeArray()

  Create an instance of `TerminalPropertyContactTypeArray`

### createContactPropertyUui

    public ContactPropertyUui createContactPropertyUui()

  Create an instance of `ContactPropertyUui`

### createAddressCapabilities

    public AddressCapabilities createAddressCapabilities()

  Create an instance of `AddressCapabilities`

### createTerminalPropertyTransport

    public TerminalPropertyTransport createTerminalPropertyTransport()

  Create an instance of `TerminalPropertyTransport`

### createAgentTerminalPropertyAgentLoginSession

    public AgentTerminalPropertyAgentLoginSession createAgentTerminalPropertyAgentLoginSession()

  Create an instance of `AgentTerminalPropertyAgentLoginSession`

### createSystemEventSubscriptionTerminationImminent

    public SystemEventSubscriptionTerminationImminent createSystemEventSubscriptionTerminationImminent()

  Create an instance of `SystemEventSubscriptionTerminationImminent`

### createTerminalPropertyContactType

    public TerminalPropertyContactType createTerminalPropertyContactType()

  Create an instance of `TerminalPropertyContactType`

### createContactPropertyTargetAgentPositionId

    public ContactPropertyTargetAgentPositionId createContactPropertyTargetAgentPositionId()

  Create an instance of `ContactPropertyTargetAgentPositionId`

### createMessageWaiting

    public MessageWaiting createMessageWaiting()

  Create an instance of `MessageWaiting`

### createTerminalPropertyDoNotDisturb

    public TerminalPropertyDoNotDisturb createTerminalPropertyDoNotDisturb()

  Create an instance of `TerminalPropertyDoNotDisturb`

### createContactPropertySpExternalId

    public ContactPropertySpExternalId createContactPropertySpExternalId()

  Create an instance of `ContactPropertySpExternalId`

### createState

    public State createState()

  Create an instance of `State`

### createAgentPropertyLoginStatus

    public AgentPropertyLoginStatus createAgentPropertyLoginStatus()

  Create an instance of `AgentPropertyLoginStatus`

### createSystemEventSubscriptionTermination

    public SystemEventSubscriptionTermination createSystemEventSubscriptionTermination()

  Create an instance of `SystemEventSubscriptionTermination`

### createSystemEventSessionTerminationImminent

    public SystemEventSessionTerminationImminent createSystemEventSessionTerminationImminent()

  Create an instance of `SystemEventSessionTerminationImminent`

### createSsoToken

    public SsoToken createSsoToken()

  Create an instance of `SsoToken`

### createKeyValuePair

    public KeyValuePair createKeyValuePair()

  Create an instance of `KeyValuePair`

### createTerminalArray

    public TerminalArray createTerminalArray()

  Create an instance of `TerminalArray`

### createConnectionCapabilities

    public ConnectionCapabilities createConnectionCapabilities()

  Create an instance of `ConnectionCapabilities`

### createAgentPropertyReadyStatus

    public AgentPropertyReadyStatus createAgentPropertyReadyStatus()

  Create an instance of `AgentPropertyReadyStatus`

### createConnection

    public Connection createConnection()

  Create an instance of `Connection`

### createSystemEventSessionTermination

    public SystemEventSessionTermination createSystemEventSessionTermination()

  Create an instance of `SystemEventSessionTermination`

### createAddressPropertyPresence

    public AddressPropertyPresence createAddressPropertyPresence()

  Create an instance of `AddressPropertyPresence`

### createAuthentication

    public Authentication createAuthentication()

  Create an instance of `Authentication`

### createTerminalConnectionCapabilities

    public TerminalConnectionCapabilities createTerminalConnectionCapabilities()

  Create an instance of `TerminalConnectionCapabilities`

### createTerminalPropertyPort

    public TerminalPropertyPort createTerminalPropertyPort()

  Create an instance of `TerminalPropertyPort`

### createContactInfo

    public ContactInfo createContactInfo()

  Create an instance of `ContactInfo`

### createContact

    public Contact createContact()

  Create an instance of `Contact`

### createAgentPropertyContactTypeArray

    public AgentPropertyContactTypeArray createAgentPropertyContactTypeArray()

  Create an instance of `AgentPropertyContactTypeArray`

### createAddress

    public Address createAddress()

  Create an instance of `Address`

### createIntrinsicArray

    public IntrinsicArray createIntrinsicArray()

  Create an instance of `IntrinsicArray`

### createTerminalCapabilities

    public TerminalCapabilities createTerminalCapabilities()

  Create an instance of `TerminalCapabilities`

### createContactTypeArray

    public ContactTypeArray createContactTypeArray()

  Create an instance of `ContactTypeArray`

### createContactPropertyNodeId

    public ContactPropertyNodeId createContactPropertyNodeId()

  Create an instance of `ContactPropertyNodeId`

### createTerminalPropertyForwarding

    public TerminalPropertyForwarding createTerminalPropertyForwarding()

  Create an instance of `TerminalPropertyForwarding`

### createAddressPropertyForwarding

    public AddressPropertyForwarding createAddressPropertyForwarding()

  Create an instance of `AddressPropertyForwarding`

### createContactPropertyCallingAddress

    public ContactPropertyCallingAddress createContactPropertyCallingAddress()

  Create an instance of `ContactPropertyCallingAddress`

### createAgentTerminalPropertyAgentLoginSessionEnded

    public AgentTerminalPropertyAgentLoginSessionEnded createAgentTerminalPropertyAgentLoginSessionEnded()

  Create an instance of `AgentTerminalPropertyAgentLoginSessionEnded`

### createInstantMessage

    public InstantMessage createInstantMessage()

  Create an instance of `InstantMessage`

### createContactPropertyIntrinsicArray

    public ContactPropertyIntrinsicArray createContactPropertyIntrinsicArray()

  Create an instance of `ContactPropertyIntrinsicArray`

### createContactPropertyCallingTerminal

    public ContactPropertyCallingTerminal createContactPropertyCallingTerminal()

  Create an instance of `ContactPropertyCallingTerminal`

### createContactPropertyCalledAddress

    public ContactPropertyCalledAddress createContactPropertyCalledAddress()

  Create an instance of `ContactPropertyCalledAddress`

### createTerminalPropertyTreatment

    public TerminalPropertyTreatment createTerminalPropertyTreatment()

  Create an instance of `TerminalPropertyTreatment`

### createAgentTerminalPropertyActivityCode

    public AgentTerminalPropertyActivityCode createAgentTerminalPropertyActivityCode()

  Create an instance of `AgentTerminalPropertyActivityCode`

### createLandingPad

    public LandingPad createLandingPad()

  Create an instance of `LandingPad`

### createAgentPropertyContactType

    public AgentPropertyContactType createAgentPropertyContactType()

  Create an instance of `AgentPropertyContactType`

### createTerminal

    public Terminal createTerminal()

  Create an instance of `Terminal`

### createMediaTreatment

    public MediaTreatment createMediaTreatment()

  Create an instance of `MediaTreatment`

### createContactGUID

    public ContactGUID createContactGUID()

  Create an instance of `ContactGUID`

### createTreatmentConnection

    public TreatmentConnection createTreatmentConnection()

  Create an instance of `TreatmentConnection`

### createAddressArray

    public AddressArray createAddressArray()

  Create an instance of `AddressArray`

### createKeyValuePairArray

    public KeyValuePairArray createKeyValuePairArray()

  Create an instance of `KeyValuePairArray`

### createContactPropertyCalledAlias

    public ContactPropertyCalledAlias createContactPropertyCalledAlias()

  Create an instance of `ContactPropertyCalledAlias`

### createContactPropertyAttachedData

    public ContactPropertyAttachedData createContactPropertyAttachedData()

  Create an instance of `ContactPropertyAttachedData`

### createAgentPropertyVoiceTerminal

    public AgentPropertyVoiceTerminal createAgentPropertyVoiceTerminal()

  Create an instance of `AgentPropertyVoiceTerminal`

### createAgentPropertyAddressName

    public AgentPropertyAddressName createAgentPropertyAddressName()

  Create an instance of `AgentPropertyAddressName`

### createContactType

    public ContactType createContactType()

  Create an instance of `ContactType`

### createSystemEventConnectionFailure

    public SystemEventConnectionFailure createSystemEventConnectionFailure()

  Create an instance of `SystemEventConnectionFailure`

### createContactPropertySourceSiteGroupId

    public ContactPropertySourceSiteGroupId createContactPropertySourceSiteGroupId()

  Create an instance of `ContactPropertySourceSiteGroupId`

### createAgent

    public Agent createAgent()

  Create an instance of `Agent`

### createAgentTerminalCapabilities

    public AgentTerminalCapabilities createAgentTerminalCapabilities()

  Create an instance of `AgentTerminalCapabilities`

### createAuthenticationLevel

    public AuthenticationLevel createAuthenticationLevel()

  Create an instance of `AuthenticationLevel`

### createPresence

    public Presence createPresence()

  Create an instance of `Presence`

### createAttachedData

    public AttachedData createAttachedData()

  Create an instance of `AttachedData`

### createContactPropertyCcmId

    public ContactPropertyCcmId createContactPropertyCcmId()

  Create an instance of `ContactPropertyCcmId`

### createStateInfo

    public StateInfo createStateInfo()

  Create an instance of `StateInfo`

### createAgentTerminalPropertyReadyStatus

    public AgentTerminalPropertyReadyStatus createAgentTerminalPropertyReadyStatus()

  Create an instance of `AgentTerminalPropertyReadyStatus`

### createRoutePointConnectionCapabilities

    public RoutePointConnectionCapabilities createRoutePointConnectionCapabilities()

  Create an instance of `RoutePointConnectionCapabilities`

### createIntrinsic

    public Intrinsic createIntrinsic()

  Create an instance of `Intrinsic`

### createAttachedXMLData

    public AttachedXMLData createAttachedXMLData()

  Create an instance of `AttachedXMLData`

### createForwarding

    public Forwarding createForwarding()

  Create an instance of `Forwarding`

### createContactPropertyContactTypeArray

    public ContactPropertyContactTypeArray createContactPropertyContactTypeArray()

  Create an instance of `ContactPropertyContactTypeArray`

### createAgentCapabilities

    public AgentCapabilities createAgentCapabilities()

  Create an instance of `AgentCapabilities`

### createTerminalConnectionStateHolder

    public TerminalConnectionStateHolder createTerminalConnectionStateHolder()

  Create an instance of `TerminalConnectionStateHolder`

### createTerminalConnection

    public TerminalConnection createTerminalConnection()

  Create an instance of `TerminalConnection`

### createConnectionStateInfo

    public ConnectionStateInfo createConnectionStateInfo()

  Create an instance of `ConnectionStateInfo`

### createConnectionStateHolder

    public ConnectionStateHolder createConnectionStateHolder()

  Create an instance of `ConnectionStateHolder`

### createAddressPropertyDoNotDisturb

    public AddressPropertyDoNotDisturb createAddressPropertyDoNotDisturb()

  Create an instance of `AddressPropertyDoNotDisturb`

### createTerminalPropertyForwardingArray

    public TerminalPropertyForwardingArray createTerminalPropertyForwardingArray()

  Create an instance of `TerminalPropertyForwardingArray`

### createContactCapabilities

    public ContactCapabilities createContactCapabilities()

  Create an instance of `ContactCapabilities`

### createAddressPropertyAddressTerminalAssociation

    public AddressPropertyAddressTerminalAssociation createAddressPropertyAddressTerminalAssociation()

  Create an instance of `AddressPropertyAddressTerminalAssociation`

### createProvider

    public Provider createProvider()

  Create an instance of `Provider`

### createAddressPropertyAcquireStatus

    public AddressPropertyAcquireStatus createAddressPropertyAcquireStatus()

  Create an instance of `AddressPropertyAcquireStatus`

### createAddressPropertyForwardingArray

    public AddressPropertyForwardingArray createAddressPropertyForwardingArray()

  Create an instance of `AddressPropertyForwardingArray`

### createContactPropertyRoute

    public ContactPropertyRoute createContactPropertyRoute()

  Create an instance of `ContactPropertyRoute`

### createAddressPropertyUri

    public AddressPropertyUri createAddressPropertyUri()

  Create an instance of `AddressPropertyUri`

### createAddressPropertyMessageWaiting

    public AddressPropertyMessageWaiting createAddressPropertyMessageWaiting()

  Create an instance of `AddressPropertyMessageWaiting`

### createAgentTerminalPropertyValidateAgentStatus

    public AgentTerminalPropertyValidateAgentStatus createAgentTerminalPropertyValidateAgentStatus()

  Create an instance of `AgentTerminalPropertyValidateAgentStatus`

### createAgentTerminalConnectionCapabilities

    public AgentTerminalConnectionCapabilities createAgentTerminalConnectionCapabilities()

  Create an instance of `AgentTerminalConnectionCapabilities`

### createGetVersionRequest

    public GetVersionRequest createGetVersionRequest()

  Create an instance of `GetVersionRequest`

### createTerminalPropertyName

    public TerminalPropertyName createTerminalPropertyName()

  Create an instance of `TerminalPropertyName`

### createAgentPropertyInformation

    public AgentPropertyInformation createAgentPropertyInformation()

  Create an instance of `AgentPropertyInformation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.